Page MenuHomeFreeBSD

kboot: Try to read UEFI memory from physical memory on aarch64
ClosedPublic

Authored by imp on Jan 29 2023, 3:16 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Feb 11, 4:41 PM
Unknown Object (File)
Jan 10 2024, 11:50 AM
Unknown Object (File)
Jan 10 2024, 9:18 AM
Unknown Object (File)
Jan 5 2024, 10:21 PM
Unknown Object (File)
Jan 5 2024, 10:21 PM
Unknown Object (File)
Jan 5 2024, 10:21 PM
Unknown Object (File)
Jan 5 2024, 10:21 PM
Unknown Object (File)
Jan 5 2024, 10:21 PM
Subscribers

Details

Summary

Try to open /dev/mem to read in the UEFI memory map. If we can't, then
we'll read it in the trampoline.

We also have to read in /proc/iomem to find reserved areas in
Linux. These are free once the kernel is running, but cannot be used for
a kernel booted via kboot.

Sponsored by: Netflix

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

imp requested review of this revision.Jan 29 2023, 3:16 PM

rebase / refactor / redo

Update to reflect the printf tweak in an eariler patch

This revision is now accepted and ready to land.Feb 2 2023, 3:55 AM

Declare fd2, removed as unused in prior commit

This revision now requires review to proceed.Feb 2 2023, 6:23 PM
tsoome requested changes to this revision.Feb 2 2023, 9:59 PM
tsoome added inline comments.
stand/kboot/arch/aarch64/load_addr.c
103

trampoline ?

This revision now requires changes to proceed.Feb 2 2023, 9:59 PM
imp marked an inline comment as done.Feb 2 2023, 10:06 PM
imp added inline comments.
stand/kboot/arch/aarch64/load_addr.c
103

indeed.

This revision is now accepted and ready to land.Feb 2 2023, 10:06 PM
This revision was automatically updated to reflect the committed changes.
imp marked an inline comment as done.